Subject: RE: [dhcwg] dhcpv6-24: comparing client parameters and server sta te

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Wed, 8 May 2002 11:07:48 -0500

The Confirm is sent to all servers and not just the server from which the client obtained configuration information.

The client should include all IAs for the link. Additional options (such as Domain Name Servers, etc) are allowed in the Confirm. They may be useful for the server to determine if the configuration information the client has is considered valid.

What the server compares is really up to it - based on what it wants to check. I think the draft should state that the server MUST check that the prefixes for addresses (and perhaps addresses) are valid. The Confirm is to provide information to the client as to whether it is still on the same link - hence, that is what is more important to check.

- Bernie

-----Original Message-----
From: Thomas Narten [mailto:[email-masked]]
Sent: Wednesday, May 08, 2002 11:07 AM
To: [email-masked]
Subject: [dhcwg] dhcpv6-24: comparing client parameters and server state

> 18.2.2. Receipt of Confirm messages
> 
>    When the server receives a Confirm message, the client is requesting
>    confirmation that the configuration information it will use is valid.
>    The server locates the binding for that client and compares the
>    information in the Confirm message from the client to the information
>    associated with that client.

Couple of thoughts. The document doesn't really define "compare". Do
the Lifetimes have to be equal? I would assume not, but this is not
stated... 

Also, does the Confirm include *only* IAs that were assigned by that
server? If not, seems like confirm will fail (i.e, if a client has IAs
from different servers). Is the text clear on this? (I don't bthink
the text says only include IAs allocated from the server to which the
confirm is being sent.)

Some clarifying text would seem to be needed here.

Thomas

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg